Subject: N900 modem support in 3.18-rc1

From: [email-masked] (Pavel Machek)
Date: Fri, 14 Nov 2014 22:14:38 +0100

Hi!

On Fri 2014-11-14 21:54:42, Ivaylo Dimitrov wrote:
> On 14.11.2014 19:20, Sebastian Reichel wrote:
> >
> >The patch looks ok. It does not cleanup the cmt-speech driver for
> >mainline usage, but it should work. Before adding this driver to the
> >mainline kernel there should be open source userspace support anyway.
> >
> 
> I am aware of that(patch not ready), it's one of the reasons this patch
> still sits on gitorious IMO.
> 
> libcmtspeechdata was opened by Nokia long ago, so I don't understand what
> userspace support (for inclusion of the driver in the mainline kernel that
> is) is needed. see https://gitorious.org/meego-cellular/libcmtspeechdata/source/7f8f3ce357513e4849e1bf6d657980a514529c1a:
> 
> REed pulseaudio modules that use cmtspeech will be ready sooner than later
> (I believe in 2-3 monts from now), see on gitorious how fast we progressed
> with -record and -music modules. Sure, -voice module is way more
> complicated, but lots of it is already opensourced, we just need to figure
> out a couple of DSP algorithms(drc, agc, aec, etc) related to call quality.
> But I don't think the driver should wait for those modules to be REed, they
> can be used as is even now, in their closed form for testing. Unfortunately
> all my spare time is dedicated to that PA stuff, so I simply can't cleanup
> cmtspeech driver and send a patch for upstreaming. (Pavel, what
>about you?)

Hey, I can try.

But there are two things I'd like to understand, first:

a) how did Mer people solve this? Or did they just ship nokia
binaries?

b) do we really need those DSP algorithms? Can we just take data from
microphone and send it down the GSM line, and take data from GSM line
and put it to the speaker? If it will not work in the speakerphone
mode, I can live with that... It should somehow work in normal-phone
mode, and be definitely feasible with wired handsfree, no?

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html